package com.saye.hospitalgd.service;

import org.dom4j.DocumentException;

import java.util.HashMap;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @author： Mr.zs
 * @date： 2023/10/8
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
public interface TranscationsService {

    List<HashMap<Object, Object>> findTradeRecords(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findActionableTrading(HashMap<Object, Object> map);

    HashMap<Object, Object> findActionableTradingByJylsh(HashMap<Object, Object> map);

    HashMap<String, String> refundTrade(List<HashMap<Object, Object>> list) throws DocumentException;
}
